package com.yanzuoguang.util.vo;

import java.util.Map;

/**
 * 获取关键字
 *
 * @param <T>
 * @author 颜佐光
 */
public interface DataDaoKeyConvertBase<T, M> extends DataDaoKeyBase<T> {

    /**
     * 获取关键字
     *
     * @param mapHistory 映射的历史数据
     * @param from       来源对象
     * @return
     */
    T convert(Map<String, T> mapHistory, M from);
}
